.rotate {
  -webkit-transition: all ease-in-out 275ms;
  transition: all ease-in-out 275ms;
  -webkit-transform-origin: 50% 50%;
          transform-origin: 50% 50%;
}

.rotate.rotate-0 {
  -webkit-transform: rotate(0deg);
          transform: rotate(0deg);
}

.rotate.rotate-180 {
  -webkit-transform: rotate(180deg);
          transform: rotate(180deg);
}

.rotate.rotate-180r {
  -webkit-transform: rotate(-180deg);
          transform: rotate(-180deg);
}

.rotate.rotate-90 {
  -webkit-transform: rotate(90deg);
          transform: rotate(90deg);
}

.rotate.rotate-90r {
  -webkit-transform: rotate(-90deg);
          transform: rotate(-90deg);
}

.rotate {
  -webkit-transition: all ease-in-out 275ms;
  transition: all ease-in-out 275ms;
  -webkit-transform-origin: 50% 50%;
          transform-origin: 50% 50%;
}

.rotate.rotate-0 {
  -webkit-transform: rotate(0deg);
          transform: rotate(0deg);
}

.rotate.rotate-180 {
  -webkit-transform: rotate(180deg);
          transform: rotate(180deg);
}

.rotate.rotate-180r {
  -webkit-transform: rotate(-180deg);
          transform: rotate(-180deg);
}

.rotate.rotate-90 {
  -webkit-transform: rotate(90deg);
          transform: rotate(90deg);
}

.rotate.rotate-90r {
  -webkit-transform: rotate(-90deg);
          transform: rotate(-90deg);
}

#_villas-365-property-floater {
  position: relative;
  overflow: auto;
  pointer-events: none;
  z-index: 99990;
  width: 100%;
  -webkit-box-align: inherit;
          align-items: inherit;
  background-color: transparent;
}

#_villas-365-property-floater ._villas-365-property-floater-content {
  width: 100%;
  background-color: #fff;
  pointer-events: all;
  border: 1px solid #4187bb;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-header {
  color: #fff;
  background-color: #4187bb;
  width: 100%;
  padding: 20px;
  font-size: 18px;
  font-weight: 700;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-header ._villas-365-property-floater-contact-container {
  border-right: 1px solid rgba(255, 255, 255, 0.5);
  padding-left: 15px;
  padding-right: 15px;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-header ._villas-365-property-floater-contact-container:last-child {
  border-right: none;
}

@media (min-width: 1200px) {
  #_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-header ._villas-365-property-floater-contact-container:last-child {
    padding-right: 15px;
  }
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-header ._villas-365-property-floater-contact-container ._villas-365-property-floater-icon {
  height: 30px;
  width: auto;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body {
  width: 100%;
  padding: 25px 25px 10px 25px;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body hr {
  margin-top: 0.5rem;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body label,
#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body #_villas-365-property-floater-total-label,
#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body #_villas-365-property-floater-total {
  font-weight: 700;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body #_villas-365-property-floater-price-details-button {
  cursor: pointer;
  padding-top: 5px;
  padding-bottom: 5px;
  font-weight: 700;
  color: #4187bb;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body #_villas-365-property-floater-price-details-button .button-icon {
  padding-left: 5px;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body #_villas-365-property-floater-price-details-button .hide-on-show {
  display: none;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body #_villas-365-property-floater-price-details-button .show-on-show {
  display: inline-block;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body #_villas-365-property-floater-price-details-button.collapsed .hide-on-show {
  display: inline-block;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body #_villas-365-property-floater-price-details-button.collapsed .show-on-show {
  display: none;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body ._villas-365-property-floater-price-details-container {
  font-size: 14px;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body ._villas-365-property-floater-price-details {
  text-align: right;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body #_villas-365-property-floater-total {
  text-align: right;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body #_villas-365-property-floater-total-row {
  min-height: 23px;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body #_villas-365-property-floater-price-per-night {
  font-size: 18px;
  font-weight: 700;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body #_villas-365-property-floater-minimum-nights-container {
  font-size: 12px;
  text-align: center;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body #_villas-365-property-floater-powered-by-container {
  font-size: 12px;
  text-align: center;
  color: #8e8e8e;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body #_villas-365-property-floater-powered-by-container #_villas-365-property-floater-powered-by {
  border-top: 2px solid #f3f3f3;
  padding-top: 8px;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body #_villas-365-property-floater-powered-by-container #_villas-365-property-floater-powered-by a, #_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body #_villas-365-property-floater-powered-by-container #_villas-365-property-floater-powered-by a:hover {
  color: #8e8e8e;
  text-decoration: none;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body ._villas-365-date-range-container .form-control {
  height: auto;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body ._villas-365-checkin {
  border-right: none;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body ._villas-365-checkout {
  border-left: none;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body .chosen-container.chosen-container-single .chosen-single {
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body .chosen-container.chosen-container-single .chosen-drop {
  border-color: #ced4da;
  border-radius: 0 0 0.25rem 0.25rem;
  margin-top: -1px;
}

#_villas-365-property-floater ._villas-365-property-floater-content ._villas-365-property-floater-body .chosen-container.chosen-container-active.chosen-with-drop .chosen-single {
  border-radius: 0.25rem 0.25rem 0 0;
}

#_villas-365-property-floater-tab-button {
  display: none;
}

#_villas-365-property-floater-close-button {
  display: none;
}

.rotate {
  -webkit-transition: all ease-in-out 275ms;
  transition: all ease-in-out 275ms;
  -webkit-transform-origin: 50% 50%;
          transform-origin: 50% 50%;
}

.rotate.rotate-0 {
  -webkit-transform: rotate(0deg);
          transform: rotate(0deg);
}

.rotate.rotate-180 {
  -webkit-transform: rotate(180deg);
          transform: rotate(180deg);
}

.rotate.rotate-180r {
  -webkit-transform: rotate(-180deg);
          transform: rotate(-180deg);
}

.rotate.rotate-90 {
  -webkit-transform: rotate(90deg);
          transform: rotate(90deg);
}

.rotate.rotate-90r {
  -webkit-transform: rotate(-90deg);
          transform: rotate(-90deg);
}

#_villas-365-property-floater {
  display: none;
  position: fixed;
  overflow: auto;
  pointer-events: all;
  z-index: 10000;
  top: 0px;
  height: 100vh;
  min-height: 800px;
  width: 100%;
  -webkit-box-align: initial;
          align-items: initial;
  background-color: rgba(30, 30, 30, 0.3);
}

#_villas-365-property-floater > .container {
  margin-top: 120px;
  margin-bottom: 0;
  height: 1000px;
}

#_villas-365-property-floater ._villas-365-property-floater-book-now-button, #_villas-365-property-floater ._villas-365-property-floater-enquire-button {
  border-radius: 1.2rem;
}

@media (min-height: 800px) {
  #_villas-365-property-floater {
    -webkit-box-align: center;
            align-items: center;
  }
  #_villas-365-property-floater > .container {
    margin-top: 0;
    height: auto;
  }
}

#_villas-365-property-floater-tab-button {
  position: fixed;
  display: block;
  bottom: 0;
  right: 30px;
  background: #4187bb;
  color: #fff;
  font-weight: 700;
  font-size: 18px;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  cursor: pointer;
  padding: 15px 20px;
  z-index: 99999;
}

#_villas-365-property-floater-close-button {
  position: absolute;
  display: block;
  color: #fff;
  cursor: pointer;
  font-size: 25px;
  top: 10px;
  right: 30px;
}

body._villas-365-property-floater-visible {
  overflow: hidden;
}

body._villas-365-property-floater-visible #_villas-365-property-floater {
  top: 0 !important;
  display: -webkit-box !important;
  display: flex !important;
  opacity: 0;
  -webkit-transition-property: opacity;
  transition-property: opacity;
  -webkit-transition-duration: 350ms;
          transition-duration: 350ms;
  -webkit-transition-timing-function: ease-in-out;
          transition-timing-function: ease-in-out;
}

body._villas-365-property-floater-visible #_villas-365-property-floater._villas-365-property-floater-show {
  opacity: 1;
}

#_villas-365-property-floater-anchor {
  height: 0;
  width: 100%;
  position: relative;
}

#_villas-365-property-floater {
  position: fixed;
  overflow: auto;
  pointer-events: all;
  z-index: 99990;
  top: 0px;
  height: 100vh;
  min-height: 800px;
  width: 100%;
  -webkit-box-align: initial;
          align-items: initial;
  background-color: rgba(30, 30, 30, 0.3);
}

#_villas-365-property-floater ._villas-365-property-floater-content {
  box-shadow: 0 0 10px 0 rgba(40, 40, 40, 0.3);
  border: none;
}

#_villas-365-property-floater > .container {
  margin-top: 120px;
  margin-bottom: 0;
  height: 1000px;
}

@media (min-width: 992px) {
  #_villas-365-property-floater {
    position: relative;
    overflow: visible;
    pointer-events: none;
    height: 0;
    min-height: 0;
    top: -30px;
    -webkit-box-align: inherit;
            align-items: inherit;
    background-color: transparent;
  }
}

@media (min-height: 600px) {
  #_villas-365-property-floater {
    -webkit-box-align: center;
            align-items: center;
  }
  #_villas-365-property-floater > .container {
    margin-top: 0;
    height: auto;
  }
}

#_villas-365-property-floater.float {
  position: fixed;
}

#_villas-365-property-floater #_villas-365-property-floater-discount-row ._villas-365-property-floater-discount {
  color: #fff;
  background-color: #000;
  border-radius: 0;
  font-size: 14px;
  padding: .375rem .75rem;
  display: block;
}

#_villas-365-property-floater #_villas-365-property-floater-discount-row ._villas-365-property-floater-discount ._villas-365-property-discount-label {
  width: auto;
  max-width: 100%;
}

#_villas-365-property-floater #_villas-365-property-floater-discount-row ._villas-365-property-floater-discount ._villas-365-property-discount-text {
  margin-left: 4px;
  max-width: 100%;
}

@media (min-width: 992px) {
  #_villas-365-property-floater-tab-button {
    display: none;
  }
}

@media (min-width: 992px) {
  #_villas-365-property-floater-close-button {
    display: none;
  }
}

@media (max-width: 991px) {
  body._villas-365-property-floater-visible {
    overflow: hidden;
  }
  body._villas-365-property-floater-visible #_villas-365-property-floater {
    top: 0 !important;
    display: -webkit-box !important;
    display: flex !important;
    opacity: 0;
    -webkit-transition-property: opacity;
    transition-property: opacity;
    -webkit-transition-duration: 350ms;
            transition-duration: 350ms;
    -webkit-transition-timing-function: ease-in-out;
            transition-timing-function: ease-in-out;
  }
  body._villas-365-property-floater-visible #_villas-365-property-floater._villas-365-property-floater-show {
    opacity: 1;
  }
}
